### Method

# Ide EditorPage scroll_to_line

#### Declaration

    void
    ide_editor_page_scroll_to_line (
      IdeEditorPage* self,
      guint line
    )

#### Description

This is a helper to quickly jump to a given line without all the frills. It will also ensure focus on the editor view, so that refocusing the view afterwards does not cause the view to restore the cursor to the previous location.

This will move the insert cursor.

Lines start from 0.

Available since: | 3.32

#### Parameters

`line` | `guint`
| The line to scroll to.